Subject: Re: bug#61942: 28.2; uninterruptible hang in vc-diff buffer

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Mar 2025 09:05:55 +0200

> Cc: Dmitry Gutov <[email-masked]>, Tom Tromey <[email-masked]>,
>  [email-masked]
> From: Tom Tromey <[email-masked]>
> Date: Thu, 13 Mar 2025 14:22:46 -0600
> 
> > Do we have a reproducer for this?  Otherwise, I'd like to suggest
> > closing the report for now.
> 
> I encounter this quite a bit -- several times a week.
> 
> All it really seems to take is paging through a diff with some very
> large hunks.
> 
> I tried finding a reproducer on one of my current branches but couldn't.
> 
> Anyway, closing this is premature since there is still a bug here.

There's no reason to keep a bug open if no one is working on it and we
don't have way of reproducing it to enable such work.

So please try to show a recipe for reproducing the problem, even if
the recipe is not 100% reliable.  Doing so will go a long way towards
ensuring we do identify and solve the bug.

Thanks.